/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or
 * redistribute the software under the terms of the CeCILL license as
 * circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * As a counterpart to the access to the source code and rights to copy, modify
 * and redistribute granted by the license, users are provided only with a
 * limited warranty and the software's author, the holder of the economic
 * rights, and the successive licensors have only limited liability. In this
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally,
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.scolarix.serveur.components;

import org.cocktail.scolarix.serveur.finder.FinderParametre;

import com.webobjects.appserver.WOComponent;
import com.webobjects.appserver.WOContext;
import com.webobjects.eocontrol.EOSharedEditingContext;

// Generated by the WOLips Templateengine Plug-in at 3 juin 2008 15:17:29
public class AnneeScolaire extends WOComponent {
	private boolean isAnneeCivile;

	public AnneeScolaire(WOContext context) {
		super(context);
		isAnneeCivile = FinderParametre.getAnneeCivile(EOSharedEditingContext.defaultSharedEditingContext());
	}

	public boolean synchronizesVariablesWithBindings() {
		return false;
	}

	public boolean isAnneeCivile() {
		return isAnneeCivile;
	}

	public Integer anneePlusUn() {
		Integer anneePlusUn = (Integer) valueForBinding("value");
		if (anneePlusUn != null) {
			anneePlusUn = Integer.valueOf(anneePlusUn.intValue() + 1);
		}
		return anneePlusUn;
	}

	public Boolean editable() {
		Boolean editable = (Boolean) valueForBinding("editable");
		if (editable == null) {
			editable = Boolean.TRUE;
		}
		return editable;
	}

}